Bug 1731443 - zramstart doesn't support restart
Summary: zramstart doesn't support restart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: zram
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 12:32 UTC by Bastien Nocera
Modified: 2020-05-26 17:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:25:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Bastien Nocera 2019-07-19 12:32:01 UTC
zram-0.3-1.fc30.noarch

$ systemctl status zram-swap.service
● zram-swap.service - Enable compressed swap in memory using zram
   Loaded: loaded (/usr/lib/systemd/system/zram-swap.service; enabled; vendor preset: disabled)
   Active: active (exited) since Fri 2019-07-19 14:27:15 CEST; 29s ago
  Process: 3908 ExecStart=/usr/sbin/zramstart (code=exited, status=0/SUCCESS)
 Main PID: 3908 (code=exited, status=0/SUCCESS)

Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open /dev/zram0:: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open failed: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open to: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open reset:: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open Device: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open or: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open resource: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: swapon: cannot open busy: No such file or directory
Jul 19 14:27:15 classic zramstart[3908]: Activated ZRAM swap device of 7971 MB
Jul 19 14:27:15 classic systemd[1]: Started Enable compressed swap in memory using zram.

Some error checking might be necessary.

Comment 1 Pavol Šimo 2019-10-10 05:58:57 UTC
Not only restart, in my system it does not even start - error is the same.

This little patch fixes it for me:

--- zramstart.orig	2019-10-10 07:57:43.308104881 +0200
+++ zramstart	2019-10-10 07:57:33.235051662 +0200
@@ -14,6 +14,7 @@
 
 # zram in recent kernels is multitreaded so we don't need to balance across CPUs
 modprobe -q zram num_devices=1
+sleep 1
 
 # Create ZRAM with first device, lz4 algorithm
 zramdev=$(zramctl --find --algorithm lz4 --size ${zram_size}MB 2>&1)

Comment 2 Ben Cotton 2020-04-30 20:59:13 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:25:32 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.